%define name    geeqie
%define version 1.0
%define release %mkrel 4

%define docname %{name}

Name:    %{name}
Version: %{version}
Release: %{release}

BuildRequires:  lcms-devel
BuildRequires:  libexiv-devel
BuildRequires:  intltool 
BuildRequires:  gtk2-devel
BuildRequires:  libchamplain-devel >= 0.7.1
BuildRequires:  lirc-devel
BuildRequires:  gnome-doc-utils


Summary:        Graphics file browser utility
License:        GPLv2+
Group:          Graphics
Source:         %{name}-%{version}.tar.gz
# sent upstream 2010/02/19 
# http://sourceforge.net/tracker/?func=detail&aid=2954914&group_id=222125&atid=1054680
Patch0:         geeqie_lib64.diff
Patch1:		geeqie-1.0-champlain0.8.patch
URL:            http://sourceforge.net/projects/geeqie/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Geeqie is a browser for graphics files.
Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
autoreconf

%build
autoreconf
%configure2_5x --with-readmedir="%{_docdir}/%{docname}" --enable-gps --enable-lirc


%make

%install
%__rm -rf "%{buildroot}"
%makeinstall_std

%find_lang %{name}

%clean
%__rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.lirc 
%{_bindir}/geeqie
%{_datadir}/applications/geeqie.desktop
%{_datadir}/pixmaps/geeqie.png
%{_datadir}/%{name}/applications/*
%{_datadir}/%{name}/template.desktop
%{_libdir}/%{name}/*
%{_mandir}/man1/geeqie*






%changelog
* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 1.0-4mdv2011.0
+ Revision: 604403
- rebuild for new exiv2

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 1.0-3mdv2011.0
+ Revision: 574695
- build with new libchamplain

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 1.0-2mdv2011.0
+ Revision: 565538
- rebuild for new exiv2

* Fri Feb 19 2010 Michael Scherer <misc@mandriva.org> 1.0-1mdv2010.1
+ Revision: 508122
- readd BuildRoot, as youri ask for it even if not used and deprecated

  + Peťoš Šafařík <petos@mandriva.org>
    - Spec cleaning
    - Cleaning of SPEC
    - Fixed mix of <tabs> and <spaces> in SPEC
    - Removed old source tarball
    - Final stable version 1.0

* Thu Jan 28 2010 Peťoš Šafařík <petos@mandriva.org> 1.0-0.svn1895.3mdv2010.1
+ Revision: 497619
- BuildRequires fixed
- 64bit patch adds
- Libdir patched with lib64.diff patch
- Update to SVN branch.

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0-0.beta2.2mdv2010.1
+ Revision: 484195
- Rebuild for new libexiv2

* Mon Dec 28 2009 Götz Waschk <waschk@mandriva.org> 1.0-0.beta2.1mdv2010.1
+ Revision: 482955
- fix summary

  + Peťoš Šafařík <petos@mandriva.org>
    - import geeqie


* Thu Dec 24 2009 Petr 'Petos'Safarik <petos@mandrivalinux.cz> 1.0beta2-1pts2010.0
- Version 1.0beta2 first release